Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gestionnaires
Class GestionnaireErreur

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          gestionnaires.GestionnaireErreur

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class GestionnaireErreur

extends org.xml.sax.helpers.DefaultHandler

Field Summary
`private boolean` | `debug`
`private java.lang.Exception` | `exception`
`private int` | `niveauLog`
`private javax.swing.text.JTextComponent` | `zoneAffichage`

Constructor Summary
`GestionnaireErreur(java.lang.Exception e, javax.swing.text.JTextComponent zAffichage, int niveau)`

Method Summary
`void` | `AfficheMessage(java.lang.String message, int niveau)`
`private void` | `AfficheSAXException(org.xml.sax.SAXParseException e)`
`void` | `error(org.xml.sax.SAXParseException exception)`
`void` | `GestionErreur()`
`java.lang.Exception` | `getException()`
`private java.lang.String` | `MessageParser(org.xml.sax.SAXParseException e)`
`void` | `setException(java.lang.Exception e)`
`void` | `setModeDebugage(boolean isDebugging)`
`void` | `setNiveauLog(int niveau)`
`void` | `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exception

    private java.lang.Exception exception

### zoneAffichage

    private javax.swing.text.JTextComponent zoneAffichage

### debug

    private boolean debug

### niveauLog

    private int niveauLog

Constructor Detail

### GestionnaireErreur

    public GestionnaireErreur(java.lang.Exception e,
                              javax.swing.text.JTextComponent zAffichage,
                              int niveau)

Method Detail

### getException

    public java.lang.Exception getException()

### setException

    public void setException(java.lang.Exception e)

### setNiveauLog

    public void setNiveauLog(int niveau)

### setModeDebugage

    public void setModeDebugage(boolean isDebugging)

### AfficheMessage

    public void AfficheMessage(java.lang.String message,
                               int niveau)

### MessageParser

    private java.lang.String MessageParser(org.xml.sax.SAXParseException e)

### AfficheSAXException

    private void AfficheSAXException(org.xml.sax.SAXParseException e)

### GestionErreur

    public void GestionErreur()

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `warning` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Overrides:
    `error` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD